Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing.modular
Class TracingMediator

    java.lang.Object
      de.grogra.ray2.tracing.modular.TracingMediator

    public class TracingMediator

extends java.lang.Object

Constructor Summary
`TracingMediator()`

Method Summary
`Antialiasing` | `getAntialiser()`
`ComplementTracer` | `getComplementTracer()`
`LineTracer` | `getLinetracer()`
`MemoryHelper` | `getMemHelper()`
`MetropolisAntiAliasing` | `getMetropolisAntialiser()`
`RayProcessorBase` | `getProcessor()`
`PixelwiseRenderer` | `getRenderer()`
`void` | `setAntialiser(Antialiasing antialiser)`
`void` | `setComplementTracer(ComplementTracer complementTracer)`
`void` | `setLinetracer(LineTracer linetracer)`
`void` | `setMemHelper(MemoryHelper memHelper)`
`void` | `setProcessor(RayProcessorBase processor)`
`void` | `setRenderer(PixelwiseRenderer renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TracingMediator

    public TracingMediator()

Method Detail

### getAntialiser

    public Antialiasing getAntialiser()

### getComplementTracer

    public ComplementTracer getComplementTracer()

### getLinetracer

    public LineTracer getLinetracer()

### getMemHelper

    public MemoryHelper getMemHelper()

### getMetropolisAntialiser

    public MetropolisAntiAliasing getMetropolisAntialiser()

### getProcessor

    public RayProcessorBase getProcessor()

### getRenderer

    public PixelwiseRenderer getRenderer()

### setAntialiser

    public void setAntialiser(Antialiasing antialiser)

### setComplementTracer

    public void setComplementTracer(ComplementTracer complementTracer)

### setLinetracer

    public void setLinetracer(LineTracer linetracer)

### setMemHelper

    public void setMemHelper(MemoryHelper memHelper)

### setProcessor

    public void setProcessor(RayProcessorBase processor)

### setRenderer

    public void setRenderer(PixelwiseRenderer renderer)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD